BEGIN TRANSACTION
GO
CREATE TABLE dbo.Settings
	(	SettingID uniqueidentifier NOT NULL,
	Name nvarchar(255) NOT NULL,
	Details nvarchar(MAX) NOT NULL
	)  ON [PRIMARY]
	 TEXTIMAGE_ON [PRIMARY]
GO
ALTER TABLE dbo.Settings ADD CONSTRAINT	PK_Settings PRIMARY KEY (SettingID)
GO
CREATE UNIQUE INDEX IX_Settings ON dbo.Settings	(Name)
GO
INSERT INTO Settings (SettingID, Name, Details)
VALUES ('FB738BA2-A3C9-40ED-891C-B930E6454974', 'Header',
'              Hops n Grains' + CHAR(13) + CHAR(10) +
'             The Microbrewery' + CHAR(13) + CHAR(10) +
'       SCO 358, Sector 9, Panchkula' + CHAR(13) + CHAR(10) +
'     A Unit of Peitho Foods Pvt. Ltd.' + CHAR(13) + CHAR(10) +
'        CIN: U15139CH2010PTC032202' + CHAR(13) + CHAR(10) +
'(Reg Add: Plot No. 907, Indl Area II, Chd)' + CHAR(13) + CHAR(10) +
'             TIN: 06592507323' + CHAR(13) + CHAR(10) +
'       Service Tax: AAFCP5097GSD001' + CHAR(13) + CHAR(10))
GO
INSERT INTO Settings (SettingID, Name, Details) VALUES ('F7799871-D16E-4C4D-9B57-2299A5839ACB', 'Footer','Call: 0172-4026666, 8054923853, 8054923856')
GO
COMMIT