﻿using System;
using System.Runtime.Serialization;

namespace Tanshu.Accounts.Contracts
{
    public class SalesAnalysis
    {
        public virtual string GroupType { get; set; }
        public virtual decimal Amount { get; set; }
    }

    public class TaxAnalysis
    {
        public virtual string Name { get; set; }
        public virtual decimal TaxRate { get; set; }
        public virtual decimal NetSale { get; set; }
        public virtual decimal TaxAmount { get; set; }
    }

    public class SalesAnalysisDetail
    {
        private string _name;
        public Guid ProductID { get; set; }
        public string Name
        {
            get
            {
                return IsHappyHour ? "H H " + _name : _name;
            }
            set
            {
                _name = value;
            }
        }
        public bool IsHappyHour { get; set; }
        public decimal Sale { get; set; }
        public decimal NC { get; set; }
    }
    public class BillDetail
    {
        public virtual DateTime Date { get; set; }
        public virtual string BillID { get; set; }
        public virtual decimal Amount { get; set; }
        public virtual string Settlement { get; set; }
    }
    public class BeerConsumptionDetail
    {
        public virtual DateTime Date { get; set; }
        public virtual Guid ProductID { get; set; }
        public virtual string Name { get; set; }
        public virtual decimal Quantity { get; set; }
    }
}
