﻿using System;
using System.Collections.Generic;

namespace Tanshu.Accounts.Entities
{
    public class ProductGroup
    {
        public ProductGroup()
        {
            Products = new List<Product>();
        }

        public virtual Guid ProductGroupID { get; set; }

        public string Name { get; set; }
        public decimal DiscountLimit { get; set; }
        public bool IsModifierCompulsory { get; set; }
        public bool IsActive { get; set; }
        public int SortOrder { get; set; }
        public string GroupType { get; set; }
        public List<Product> Products { get; set; }
        public List<PrintLocation> PrintLocations { get; set; }
        public List<ProductGroupModifier> ProductGroupModifiers { get; set; }
    }
}