﻿using Tanshu.Accounts.Repository;
using Tanshu.Accounts.Contracts;

namespace Tanshu.Accounts.PointOfSale
{
    class MsrLogin : ILogin
    {
        //private static readonly Tanshu.Logging.SqlLogger log = new Tanshu.Logging.SqlLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
        public bool LoginUser()
        {
            return LoginUser(true);
        }

        static bool LoginUser(bool setSession)
        {
            using (var frm = new MsrLoginForm(false))
            {
                frm.ShowDialog();
                var user = frm.User();
                if (user != null && setSession)
                {
                    Session.User = user;
                }
                return user != null;
            }

        }

        public bool LogoutUser()
        {
            Session.User = null;
            return true;
        }
    }
}
