﻿using RestSharp;
using Tanshu.Accounts.Entities;


namespace Tanshu.Accounts.Repository
{
    public static class SettingBI
    {
        public static Setting Get(string name)
        {
            var request = new RestRequest();
            request.Resource = "Setting/{name}.json";
            request.AddParameter("name", name, ParameterType.UrlSegment);
            var setting = JsonStore.Execute<Setting>(request);
            return setting;
        }
    }
}
