﻿using System;
using System.Collections.Generic;

namespace Tanshu.Accounts.Entities
{
    public class Product
    {
        public Guid ProductID { get; set; }
        public string Name { get; set; }
        public string Units { get; set; }
        public ProductGroup ProductGroup { get; set; }
        public Tax Vat { get; set; }
        public Tax ServiceTax { get; set; }
        public decimal ServiceCharge { get; set; }
        public bool IsScTaxable { get; set; }
        public decimal Price { get; set; }
        public bool HasHappyHour { get; set; }
        public bool IsActive { get; set; }
        public bool IsNotAvailable { get; set; }
        public int SortOrder { get; set; }
        public decimal Quantity { get; set; }
        public List<Inventory> Inventories { get; set; }

        public virtual string FullName
        {
            get
            {
                return Units == string.Empty ? Name : string.Format("{0} ({1})", Name, Units);
            }
            set { }
        }
    }
}