﻿using System;
using System.Collections.Generic;

namespace Tanshu.Accounts.Entities
{
    public class User
    {
        public Guid UserID { get; set; }
        public string Name { get; set; }
        public string MsrString { get; set; }
        public string Password { get; set; }
        public bool LockedOut { get; set; }

        public List<Role> Roles { get; set; }
        public List<Permission> Permissions { get; set; }
        public User()
        {
            Roles = new List<Role>();
            Permissions = new List<Permission>();
        }
    }
}
