﻿using RestSharp;
using System;
using System.Collections.Generic;
using Tanshu.Accounts.Entities;


namespace Tanshu.Accounts.Repository
{
    public static class ReprintBI
    {
        public static Reprint Insert(Reprint reprint)
        {
            var request = new RestRequest(Method.PUT);
            request.Resource = "Reprint.json";
            request.AddJsonBody(new
            {
                User = new
                {
                    UserID = reprint.User.UserID
                },
                Voucher = new
                {
                    VoucherID = reprint.Voucher.VoucherID
                }
            }
            );
            return JsonStore.Execute<Reprint>(request);
        }
    }
}
